### Hierarchy

- PerfWidgetExternal

## Index

### Properties

- activeNetworkRequestCount
- averageFrameTime
- averagePaintTime
- extraInformationEnabled
- independentRenderingEnabled
- irDisablingContentString
- irStatusAvailable
- maxCpuSpeed
- paintRequestsPerSecond
- performanceCounter
- performanceCounterFrequency

### Methods

- addEventListener
- getMemoryUsage
- getProcessCpuUsage
- getRecentCpuUsage
- getRecentFrames
- getRecentMemoryUsage
- getRecentPaintRequests
- removeEventListener
- repositionWindow
- resizeWindow

## Properties

### activeNetworkRequestCount

activeNetworkRequestCount: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10925

### averageFrameTime

averageFrameTime: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10926

### averagePaintTime

averagePaintTime: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10927

### extraInformationEnabled

extraInformationEnabled: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10928

### independentRenderingEnabled

independentRenderingEnabled: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10929

### irDisablingContentString

irDisablingContentString: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10930

### irStatusAvailable

irStatusAvailable: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10931

### maxCpuSpeed

maxCpuSpeed: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10932

### paintRequestsPerSecond

paintRequestsPerSecond: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10933

### performanceCounter

performanceCounter: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10934

### performanceCounterFrequency

performanceCounterFrequency: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10935

## Methods

### addEventListener

- addEventListener(eventType: string, callback: Function): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10936

  #### Parameters

  - ##### eventType: string

  - ##### callback: Function

  #### Returns void

### getMemoryUsage

- getMemoryUsage(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10937

  #### Returns number

### getProcessCpuUsage

- getProcessCpuUsage(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10938

  #### Returns number

### getRecentCpuUsage

- getRecentCpuUsage(last: number | null): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10939

  #### Parameters

  - ##### last: number | null

  #### Returns any

### getRecentFrames

- getRecentFrames(last: number | null): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10940

  #### Parameters

  - ##### last: number | null

  #### Returns any

### getRecentMemoryUsage

- getRecentMemoryUsage(last: number | null): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10941

  #### Parameters

  - ##### last: number | null

  #### Returns any

### getRecentPaintRequests

- getRecentPaintRequests(last: number | null): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10942

  #### Parameters

  - ##### last: number | null

  #### Returns any

### removeEventListener

- removeEventListener(eventType: string, callback: Function): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10943

  #### Parameters

  - ##### eventType: string

  - ##### callback: Function

  #### Returns void

### repositionWindow

- repositionWindow(x: number, y: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10944

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### resizeWindow

- resizeWindow(width: number, height: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10945

  #### Parameters

  - ##### width: number

  - ##### height: number

  #### Returns void

Generated using TypeDoc